/2026-01/retail-media/auction-line-items/{lineItemId}
curl --request PUT \
--url https://api.criteo.com/2026-01/retail-media/auction-line-items/{lineItemId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/2026-01/retail-media/auction-line-items/{lineItemId}"
payload = { "data": { "type": "<string>" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {type: '<string>'}})
};
fetch('https://api.criteo.com/2026-01/retail-media/auction-line-items/{lineItemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"budgetRemaining": 123,
"campaignId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"targetRetailerId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"budget": 123,
"budgetSpent": 123,
"dailyPacing": 123,
"endDate": "2023-11-07T05:31:56Z",
"flightSchedule": {
"legs": [
{
"endTime": "<string>",
"startTime": "<string>"
}
]
},
"isAutoDailyPacing": true,
"maxBid": 123,
"monthlyPacing": 123,
"targetBid": 123
},
"id": "<string>",
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>"
}
]
}/2026-01/retail-media/auction-line-items/{lineItemId}
Updates a Sponsored Products Line Item given a line item id and a request.
PUT
/
2026-01
/
retail-media
/
auction-line-items
/
{lineItemId}
/2026-01/retail-media/auction-line-items/{lineItemId}
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The external line item ID of the sponsored products line item.
Body
application/json
An update request containing all details of the requested update.
A top-level object that encapsulates a Criteo API request for a single value object.
A value resource exposed by the API.
Show child attributes
Show child attributes
Response
200 - application/json
Success
A top-level object that encapsulates a Criteo API response for a single entity.
Was this page helpful?
/2026-01/retail-media/auction-line-items/{lineItemId}
Previous
/2026-01/retail-media/balances/{balance-id}/campaigns/append
Next
⌘I